Bug 825622 - python-virtinst manual and help doc issues.
python-virtinst manual and help doc issues.
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-virtinst (Show other bugs)
6.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: virt-mgr-maint
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 01:15 EDT by Geyang Kong
Modified: 2013-08-04 23:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 15:21:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geyang Kong 2012-05-28 01:15:47 EDT
Description of problem:
  python-virtinst manual and help doc issues.

Version-Release number of selected component (if applicable):
python-virtinst-0.600.0-8.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Run #virt-image -h and #man 1 virt-image, then check --connect option and copyright
2. Run #man virt-install, then check examples and copyright
3. Run #man virt-clone, then check copyright and examples
4. Run #man virt-convert, then check copyright

Actual results:
1. After step 1, --connect option in man page is not consistent with #virt-image -h
   In man page, it is --connect=CONNECT, in #virt-image -h, it is --connect=URI.
   Copyright in man page is still "Copyright (C) 2006-2007 Red Hat".
2. After step 2,
   Some examples missed "\"
         # virt-install \
              --name mykernel
              --ram 512
              --disk /home/user/VMs/mydisk.img
              --boot kernel=/tmp/mykernel,initrd=/tmp/myinitrd,kernel_args="console=ttyS0"
              --serial pty
         # virt-install \
              --name demo
              --ram 512
              --disk /home/user/VMs/mydisk.img
              --import
   Copyright in man page is still "Copyright (C) 2006-2011 Red Hat".
3. After step 3, 
   Following example will cause an error: ERROR An original machine name or xml file is required.
         # virt-clone \
              --connect qemu:///system \
              --name demo \
              --file /dev/HostVG/DemoVM \
              --mac 52:54:00:34:11:54
   Copyright in man page is still "Copyright (C) Fujitsu Limited 2007"
4. After step 4,
   Copyright in man page is still "Copyright (C) 2006-2008 Red Hat, Inc"

Expected results:
1. All copyright lines need to update
2. Lines of examples in step 2 should be end with "\"
3. Example in step 3 should have --original options

Additional info:
Comment 1 Cui Lei 2012-06-05 05:53:20 EDT
Add some new issues in man virt-image:
# man virt-image
....
EXAMPLES
       Create and start a guest called "example" with a VNC console from "image.xml":

         # virt-image --name example --vnc -i image.xml

       Print the libvirt XML for a guest called "example" without graphics, but do not create or start a virtual machine:

         # virt-image --print --name example --nographics --image image.xm
....

two issue:
1. '-i', '--image': no such options
2. "--name example" shoule be "--name=example"
Comment 2 zhe peng 2012-06-19 23:46:42 EDT
Add some new issues in man virt-install:
# man virt-install
....
OPTIONS
  ....
  virt-install tool supports both text based & graphical installations, using VNC or SDL graphics,
  ========== miss spice graphics here.
  --connect=CONNECT
  ========== miss  "lxc:/// " options,should support LXC URI
Comment 3 zhe peng 2012-06-20 04:30:07 EDT
Add a new issue in man virt-install:
#man virt-install
....
 --soundhw MODEL
         Attach a virtual audio device to the guest. MODEL specifies the emulated sound card model. Possible values are ich6, ac97, es1370, sb16,
         pcspk, or default. ’default’ will be AC97 if the hypervisor supports it, otherwise it will be ES1370.
....

=========== by now, ich6 is the default model
Comment 4 Cole Robinson 2012-07-08 19:08:48 EDT
Okay, these should be fixed upstream now. The piece I didn't do:

 "--name example" shoule be "--name=example"

 both methods work and are supported, so I didn't change it.

http://git.fedorahosted.org/git?p=python-virtinst.git;a=commit;h=aefe8ef81b3284ee06b00b85e60e955258f77bb6
Comment 5 Dave Allan 2012-07-24 15:21:52 EDT
Closing as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.